User

Get user data and permissions

Fetches the user data including email, full name, roles, and permissions.

GET
/api/v2/me

Authorization

BearerAuthObject
AuthorizationBearer <token>

Machine tokens only: a personal API token or a product robot token (POST /api/v2/products/{uid}/robot-tokens). A session JWT here is 401 — the web app uses the b2t_access cookie.

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/me"
{  "userData": {    "email": "root@b2bweblate.local",    "fullName": null,    "roles": [      {        "name": "Owner",        "displayName": "Owner",        "priority": 800,        "isSystem": true      }    ]  },  "permissions": [    "CategoryCreate"  ],  "workspace": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "Acme Inc",    "slug": "acme-inc",    "hasTenantPlans": false,    "status": "active",    "features": {      "sdk_cli": false,      "custom_roles": false    }  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}